#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
echo "=================================================================="
echo "当前安装模式需要ROOT权限"
base_path=$(cd `dirname $0`; pwd)
download_url="http://treepanel.payplay.cn"
version="1.0.0"
title="TreePanel测试版"
name=treepanel
port=9869
root=/www
server=${root}/server
wwwlogs=${root}/wwwlogs
wwwroot=${root}/wwwroot
backup=${root}/backup
temp=${root}/temp
panel=${server}/${name}
sudo mkdir -p ${root}
sudo mkdir -p ${server}
sudo mkdir -p ${wwwlogs}
sudo mkdir -p ${wwwroot}
sudo mkdir -p ${backup}
sudo mkdir -p ${temp}
sudo mkdir -p ${panel}
ip=`/sbin/ifconfig -a|grep inet|grep -v 127.0.0.1|grep -v inet6|awk 'NR==1{print $2}'|tr -d "addr:"`
is64=`getconf LONG_BIT`

if [ "${is64}" != '64' ];then
    echo "=================================================================="
	echo "当前版本仅支持64位Darwin系统";
	exit 0;
fi

if [ -f "${panel}/treepanel" ]; then
    echo "=================================================================="
    echo -n "确定要重装${title}？(yes/no)："
    read res
    if [ "${res}" == 'yes' ]
    then
         sudo ${panel}/treepanel-server stop
         sudo ${panel}/treepanel-server uninstall
         sleep 1
         sudo rm -rf ${panel}/*
    else
         entrance=`cat ${panel}/data/entrance.lock`
         echo "=================================================================="
		 echo "Installed ${title} ${version}"
         echo "安全入口: ${entrance}"
         echo "本机访问: http://127.0.0.1:9869/${entrance}"
         echo "内网访问: http://${ip}:9869/${entrance}"
         echo "外网访问: http://外网IP:9869/${entrance}"
         echo "安装目录: ${panel}"
         echo "用户名: treepanel"
         echo "密码: 123456789"
		 echo "=================================================================="
         exit 0;
    fi
fi

cd ${base_path}
echo "=================================================================="
echo "Unzip ${title}"
tar -zxf treepanel.tar.gz
sudo \cp -rf treepanel/* ${panel}
echo "=================================================================="
echo "Set the permissions"
sudo chmod -R 775 ${root}
sudo chown -R root:admin ${root}
sudo \cp -rf treepanel/TreePanel.app /Applications
entrance=`cat /dev/urandom | head -n 6 | md5 | head -c 6`
echo ${entrance} > ${panel}/data/entrance.lock
echo "false" > ${panel}/data/install.lock
sudo ${panel}/treepanel-server install
echo "=================================================================="
echo "Check files"
if [ ! -f "${panel}/treepanel" ]; then
    echo "Installation ${title} ${version} failed"
    echo "请重试！"
    exit 0;
fi
echo "=================================================================="
echo "Installed ${title} ${version}"
echo "安全入口: ${entrance}"
echo "本机访问: http://127.0.0.1:9869/${entrance}"
echo "内网访问: http://${ip}:9869/${entrance}"
echo "外网访问: http://外网IP:9869/${entrance}"
echo "安装目录: ${panel}"
echo "用户名: treepanel"
echo "密码: 123456789"
echo "=================================================================="
echo -n "快速是否启动${title}？(yes/no)："
read res
if [ $res == 'yes' ]
then
     sudo ${panel}/treepanel.sh launchpad
else
     echo "在Launchpad 中直接启动 TreePanel"
     echo "或者使用脚本命令"
     echo "启动面板：sudo ${panel}/treepanel.sh launchpad"
     echo "开启服务：sudo ${panel}/treepanel.sh start"
     echo "关闭服务：sudo ${panel}/treepanel.sh stop"
fi
sudo rm -rf treepanel
