#! /bin/sh
BIN=$(dirname $0)
NAME="treepanel-server"
EXEC="treepanel"
PID_FILE=${BIN}/${NAME}.pid
start() {
    install
    echo "Starting ... "
    ${BIN}/${NAME} start
    if [ "$?" != 0 ] ; then
        echo " failed"
        exit 1
     else
        echo " done"
     fi
}
stop(){
     install
     echo "Stoping ... "
     ${BIN}/${NAME} stop
     if [ "$?" != 0 ] ; then
        echo " failed"
        exit 1
     else
        echo " done"
     fi
}
restart(){
     install
     echo "Restarting ... "
     ${BIN}/${NAME} restart
     if [ "$?" != 0 ] ; then
        echo " failed"
        exit 1
     else
        echo " done"
     fi
}
restart_os(){
    echo "Restarting ..."
    rm -rf ${PID_FILE}
    reboot
}
status(){
    check=`${BIN}/${NAME} status`
    echo ${check} | awk 'NR==1 {print $1}'
}
install(){
    if [ `status` == "uninstalled" ] ;then
       ${BIN}/${NAME} install
    else
       echo "installed"
    fi
}
uninstall(){
    if [ `status` == "installed" ] ;then
       ${BIN}/${NAME} stop
       ${BIN}/${NAME} uninstall
    else
       echo "uninstalled"
    fi
}
launchpad(){
    echo "Launchpad ... "
    nohup ${BIN}/${EXEC} >/dev/null 2>&1&
    if [ "$?" != 0 ] ; then
        echo "$? failed"
        exit 1
    else
        echo " done"
    fi
}
case "$1" in
    start)
		start
        ;;
    stop)
        stop
        ;;
	restart|reload)
		restart
		;;
	status)
        status
        ;;
    restart_os)
        restart_os
        ;;
    launchpad)
        launchpad
        ;;
    install)
        install
        ;;
    uninstall)
        uninstall
        ;;
    *)
        echo $"Usage: $0 {start|stop|status|restart|reload|restart_os|launchpad|install|uninstall}"
        ;;
esac