#PROXY-START
location /{{.Dir}}
{
    expires 12h;
    if ($request_uri ~* "(php|jsp|cgi|asp|aspx)")
    {
         expires 0;
    }
    proxy_pass {{.Url}};
    proxy_set_header Host {{.Host}};
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header REMOTE-HOST $remote_addr;

    add_header X-Cache $upstream_cache_status;

    #proxy_connect_timeout 30s;
    #proxy_read_timeout 86400s;
    #proxy_send_timeout 30s;
    #proxy_http_version 1.1;
    #proxy_set_header Upgrade $http_upgrade;
    #proxy_set_header Connection "upgrade";

    proxy_set_header Accept-Encoding "";
    {{range $Sub := .Filter}}
	sub_filter "{{$Sub.src}}" "{{$Sub.dst}}";
	{{end}}
    sub_filter_once {{.FilterOpen}};

    {{if .CacheEnabled}}
    proxy_cache cache_one;
    proxy_cache_key $host$uri$is_args$args;
    proxy_cache_valid 200 304 301 302 {{.CacheTime}}m;
    {{end}}
}
#PROXY-END